// creator  : weidu.exe (version 23100)
// argument : KPRANG01.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~KPRANG01~

IF ~~ THEN BEGIN 0 // from: KPRANG02:1.0
  SAY #40473 /* ~What?!  How dare you say that!  I love Chanelle!  I've loved her far longer than you!  And she doesn't even want you, you slobbering pig!~ */
  IF ~~ THEN EXTERN ~KPRANG02~ 2
END

IF ~~ THEN BEGIN 1 // from: KPRANG02:2.0
  SAY #40475 /* ~I... I'm not marrying her only because of the dowry!  But... but it would...~ */
  IF ~~ THEN EXTERN ~KPMAID01~ 9
END

IF ~~ THEN BEGIN 2 // from: KPRANG02:3.0
  SAY #40479 /* ~I am not a drunkard, Malvolio!  Stop saying that!~ */
  IF ~~ THEN EXTERN ~KPMAID01~ 10
END

IF ~~ THEN BEGIN 3 // from: KPMAID01:10.0
  SAY #40482 /* ~Chanelle!  No, don't say that!  What about the --~ */
  IF ~~ THEN EXTERN ~KPDOMO01~ 88
END

IF ~~ THEN BEGIN 4 // from: KPRANG02:4.1
  SAY #40492 /* ~No!  You... you can't do this!~ */
  IF ~~ THEN EXTERN ~KPRANG02~ 6
END

IF ~~ THEN BEGIN 5 // from: KPMAID01:13.0
  SAY #40496 /* ~I am grateful as well, my <PRO_LADYLORD>.  But... we will need some kind of start.  Have you... er... given any thought to the dowry?~ */
  IF ~~ THEN REPLY #40497 /* ~I made no promise to Chanelle.  You both will make it on your own, or not, as you will.~ */ DO ~IncrementGlobal("kprevolt","GLOBAL",1)~ GOTO 6
  IF ~PartyGoldGT(99)~ THEN REPLY #40498 /* ~I suppose a small dowry might be in order.  A hundred gold pieces should more than suffice.~ */ DO ~TakePartyGold(100)~ EXTERN ~KPMAID01~ 15
  IF ~PartyGoldGT(499)~ THEN REPLY #40499 /* ~Five hundred gold.  It is little enough to me, but will mean a good life for you both.  Live well.~ */ DO ~TakePartyGold(500)
IncrementGlobal("kprevolt","GLOBAL",-1)~ GOTO 8
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #40500 /* ~Oh...~ */
  IF ~~ THEN EXTERN ~KPMAID01~ 14
END

IF ~~ THEN BEGIN 7 // from: KPMAID01:15.0
  SAY #40505 /* ~Yes... very kind, I suppose...~ */
  IF ~~ THEN EXTERN ~KPRANG02~ 7
END

IF ~~ THEN BEGIN 8 // from: 5.2
  SAY #40508 /* ~Five...?  My <PRO_LADYLORD>, you are too kind!  You are so generous!  How can we thank you?!~ */
  IF ~~ THEN EXTERN ~KPMAID01~ 16
END

IF ~~ THEN BEGIN 9 // from: KPMAID01:17.0
  SAY #40511 /* ~What?!  You're just going to deny her the chance to get married?!  What kind of monster are you?!~ */
  IF ~~ THEN DO ~EscapeArea()~ EXTERN ~KPRANG02~ 8
END
